#include<stdio.h>
#include<stdlib.h>

int main(int argc, char * argv[]) {
	unsigned long x = 6UL;

	int y = 0x6;

	double z = 6.0; /*On pourrait croire à tord d'utiliser un 
	float mais il faut 'f' après le 6 pour en faire un float.*/

	char w = '\66'; /* Les guillemets simples indiquent un caractère
	les guillemets doubles indiquent une chaine de caractères.*/

	printf("%ld\n", x);
	printf("%d\n", y);
	printf("%f\n", z); //printf utilise '%f' pour les floats et les doubles
	printf("%c\n", w);
	return EXIT_SUCCESS;
}

